(* ****************************************************************************
 *                         Fumio Kawamata's J2j
 *                         A Thumbnail Generator
 *                  Copyright (C) 1998 Fumio Kawamata
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; version 2 of the License.
 *
 *  This program is distributed in the hope that it will be useful, but
 *  WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANT-
 *  ABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
 *  Public License in the directory "manual" for more details.
 ******************************************************************************
 *)

(* ****************************************************************************
 *
 * ****************************************************************************
 *)
unit ignore;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Buttons;

type
  TformIgnoreSizeSetting = class(TForm)
    editX: TEdit;
    editY: TEdit;
    labelX: TLabel;
    labelY: TLabel;
    labelUsage: TLabel;
    bitbtnOK: TBitBtn;
    bitbtnCancel: TBitBtn;
    procedure bitbtnCancelClick(Sender: TObject);
    procedure bitbtnOKClick(Sender: TObject);
  private
  public
  end;

var
  formIgnoreSizeSetting: TformIgnoreSizeSetting;

implementation

uses main;

{$R *.DFM}

procedure TformIgnoreSizeSetting.bitbtnCancelClick(Sender: TObject);
begin
  Close;
end;

procedure TformIgnoreSizeSetting.bitbtnOKClick(Sender: TObject);
begin
  try
    main.IgnoreSizeX:=StrToInt(editX.Text);
    main.IgnoreSizeY:=StrToInt(editY.Text);
    formMain.WriteOptions;
    Close;
  except
    MessageDlg('Value in X or Y is wrong.', mtWarning,[mbOK],0);
  end;
end;

end.
